$schema: "http://json-schema.org/draft-06/schema#"

title: datastream v1 HostAddress export schema
description: A gcloud export/import command YAML validation schema.
type: object
required:
- hostname
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  hostname:
    description: Hostname for the connection.
    type: string
  port:
    description: Port for the connection.
    type: integer
